de.esprit.appsuite.gui.list

## Class ListSelectionAction<C extends ApplicationContext,E>

- java.lang.Object
- - javax.swing.AbstractAction
  - - de.esprit.common.gui.ZAction<C>
    - - de.esprit.appsuite.gui.list.ListDataAction<C>
      - - de.esprit.appsuite.gui.list.ListSelectionAction<C,E>

- All Implemented Interfaces:
    ApplicationObject<C>, ErrorHandlerSupport, SimpleLogSupport, java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action
  Direct Known Subclasses:
    ActivityList.MyCancelTaskAction, ListDetailsAction

      public abstract class ListSelectionAction<C extends ApplicationContext,E>
      extends ListDataAction<C>

  This action is only active when the underlying JList has a selection.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListSelectionAction(C ctx, javax.swing.JList list, NlsActionKey nls)`
    `ListSelectionAction(C ctx, javax.swing.JList list, NlsActionKey nls, IconKey iconKey)`
    `ListSelectionAction(javax.swing.JList list, NlsActionKey nls)`
    `ListSelectionAction(javax.swing.JList list, NlsActionKey nls, IconKey iconKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ListDataController` | `createListController(javax.swing.JList list)`
    `protected ListSelectionController` | `getListController()`
    `protected E` | `getSelectedValue()`
    `protected java.util.List<E>` | `getSelectedValuesList()`
    `int` | `getSelectionCount()`
    `boolean` | `isSelectionEmpty()`
    `void` | `setActivationMode(ActivationMode mode)`

    - ### Methods inherited from class de.esprit.appsuite.gui.list.ListDataAction

      `checkEnableCondition, getList, isListEmpty`

    - ### Methods inherited from class de.esprit.common.gui.ZAction

      `actionConfirmed, actionDenied, actionFailed, actionFired, actionPerformed, actionPrepare, actionSucceeded, fire, getApplicationContext, getButtonText, getIcon, getLogChannel, getMenuText, getName, getPressedIcon, getTipText, isForced, isHandleError, isLogDebug, isLogVerbose, isPermitted, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, performAvailabilityCheck, setBusyAnimationEnabled, setHandleError, setIcon, setIcon, setLogChannel, setName, setPressedIcon, setPressedIcon, setText, setTipText, setValidator, showError, showError, showError, showInfo, showInfo, showWarning, showWarning, toString`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListSelectionAction

          public ListSelectionAction(javax.swing.JList list,
                             NlsActionKey nls)

    - #### ListSelectionAction

          public ListSelectionAction(javax.swing.JList list,
                             NlsActionKey nls,
                             IconKey iconKey)

    - #### ListSelectionAction

          public ListSelectionAction(C ctx,
                             javax.swing.JList list,
                             NlsActionKey nls)

    - #### ListSelectionAction

          public ListSelectionAction(C ctx,
                             javax.swing.JList list,
                             NlsActionKey nls,
                             IconKey iconKey)

  - ### Method Detail

    - #### createListController

          protected ListDataController createListController(javax.swing.JList list)

      Overrides:
        `createListController` in class `ListDataAction<C extends ApplicationContext>`

    - #### getListController

          protected ListSelectionController getListController()

      Overrides:
        `getListController` in class `ListDataAction<C extends ApplicationContext>`

    - #### setActivationMode

          public void setActivationMode(ActivationMode mode)

    - #### getSelectedValue

          protected E getSelectedValue()

    - #### getSelectedValuesList

          protected java.util.List<E> getSelectedValuesList()

    - #### getSelectionCount

          public int getSelectionCount()

    - #### isSelectionEmpty

          public boolean isSelectionEmpty()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.